Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

fix requirements

  • Loading branch information...
commit 69d37680ccaea7799119223b555e7103e37efb69 1 parent 837b2ef
@kmike authored
View
1  MANIFEST.in
@@ -4,6 +4,7 @@ include CHANGES.rst
include docs/Makefile
include docs/make.bat
include docs/conf.py
+include requirements.txt
recursive-include docs *.rst
recursive-include benchmarks *.py
View
2  bench.ini
@@ -5,7 +5,7 @@ envlist = py26,py27,py32,py33,pypy
deps =
pytest
psutil
- pymorphy2-dicts
+ pymorphy2-dicts >2.0, <3.0
[testenv]
deps=
View
2  requirements.txt
@@ -1,2 +1,2 @@
dawg-python >= 0.5
-pymorphy2-dicts < 2.0
+pymorphy2-dicts > 2.0, < 3.0
View
2  setup.py
@@ -26,7 +26,7 @@ def get_version():
license = 'MIT license',
packages = ['pymorphy2', 'pymorphy2.vendor', 'pymorphy2.opencorpora_dict'],
scripts=['bin/pymorphy'],
- requires=['dawg_python (>= 0.5)', 'pymorphy2_dicts (<2.0)'],
+ requires=['dawg_python (>= 0.5)', 'pymorphy2_dicts (>2.0, <3.0)'],
# cmdclass = {'build_ext': build_ext},
# ext_modules = [Extension("pymorphy2.analyzer", ["pymorphy2/analyzer.py"])],
View
2  tox.ini
@@ -5,7 +5,7 @@ envlist = py26,py27,py32,py33,pypy,no_compiler
deps =
pytest
psutil
- pymorphy2-dicts
+ pymorphy2-dicts >2.0, <3.0
[testenv]
deps=
Please sign in to comment.
Something went wrong with that request. Please try again.